<template>
    <v-select
        v-model="localValue"
        item-text="name"
        item-value="variant_option_id"
        :items="options"
        :placeholder="placeholder"
        :error-messages="errors"
        :hide-details="hideDetails"
        hide-selected
        multiple
        return-object
        small-chips
        deletable-chips
        outlined
        :menu-props="{ bottom: true, offsetY: true }"
    >
    </v-select>
</template>

<script>
    export default {
        name: "VariantOptionBox",
        props: {
            value: Array,
            errors: [String, Array],
            options: Array,
            lookup: Array,
            variant: Object,
            placeholder: {
                type: String,
                default: ''
            },
            hideDetails: {
                type: [Boolean, String],
                default: false
            },
            clearable: {
                type: Boolean,
                default: false
            },
            mode: {
                type: String,
                default: 'create',
                validator: value => ['create', 'edit'].indexOf(value) !== -1
            }
        },

        data: () => ({
            loading: true
        }),

        computed: {
            localValue: {
                get() {
                    return this.value;
                },

                set(val) {
                    return this.$emit('input', val);
                }
            }
        },
    }
</script>

<style scoped>
</style>
